# navigator_ransitions_route

This package helps you show elegant transitions between your screens.

## Usage


It really is very simple to use. Make sure to add `navigation_transitions_route` as dependency in your Flutter project:
```
  dependencies:
    navigator_transitions_route: ^0.1.3

```
Here an example of use:
```
import "package:navigator_transitions_route/navigator_transitions_route.dart";

NavigatorTransitionsRoute(
  context: context,
  child: Page2(),
  animation: AnimationType.fadeIn,
  duration: Duration(milliseconds: 300),
);
```
## Types of transitions
* Normal (default transition)
* Fade
* Scale
* Rotation
* Slide right to left
* Slide left to right
* Slide up to down
* Slide down to up